Skip to main content

Delete rule

DELETE
https://api.agora.io/dev/v1/kicking-rule

Use this endpoint to delete a specified banning rule.

Request

The request URL and request body is case-sensitive. All requests must use HTTPS.

Request header

  • Content-Type: application/json
  • The request header must contain the Authorization field. For details, see RESTful authentication.

Request body

APPLICATION/JSON
BODYrequired
  • appid stringrequired

    The App ID of the project. You can get it through one of the following methods:

  • id numberrequired

    The ID of the rule to delete.

Response

A 200 status code indicates success. The response body contains the following parameters:

OK
  • status string

    The status of this request. success means the request succeeds.

  • id number

    The ID of the deleted rule.

If the status code is not 200, the request fails. See the message field in the response body for the reason for this failure. Refer to Response status codes for details.

Authorization

This endpoint requires Basic authentication.

Request example

Test this request in Postman or use one of the following code examples:


_9
curl --request DELETE \
_9
--url https://api.sd-rtn.com/dev/v1/kicking-rule \
_9
--header 'Accept: application/json' \
_9
--header 'Authorization: Basic <your_base64_encoded_credentials>' \
_9
--header 'Content-Type: application/json' \
_9
--data '{
_9
"appid": "4855xxxxxxxxxxxxxxxxxxxxxxxxeae2",
_9
"id": 1953
_9
}'

Response example


_4
{
_4
"status": "success",
_4
"id": 1953
_4
}